import { OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { Subject } from 'rxjs';
import { DatepickerOptions, DatepickerSelection } from './datepicker.entities';
import { DaterangeOptions } from '@ironsource/fusion-ui/components/daterange/entities';
import * as i0 from "@angular/core";
export declare class DatepickerComponent implements OnInit, OnDestroy, ControlValueAccessor {
    set options(value: DatepickerOptions);
    set minDate(value: Date);
    set maxDate(value: Date);
    onDestroy$: Subject<void>;
    daterangeOptions: DaterangeOptions;
    daterangeFormControl: FormControl;
    daterangeMinDate: Date;
    daterangeMaxDate: Date;
    ngOnInit(): void;
    ngOnDestroy(): void;
    propagateChange: (_: DatepickerSelection) => void;
    propagateTouched: () => void;
    writeValue(value: DatepickerSelection): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DatepickerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DatepickerComponent, "fusion-datepicker", never, { "options": { "alias": "options"; "required": false; }; "minDate": { "alias": "minDate"; "required": false; }; "maxDate": { "alias": "maxDate"; "required": false; }; }, {}, never, never, false, never>;
}
